Skip to main content

Update schema exporter by name

PUT 

/exporters/:name

Updates the information or configurations of the schema exporter. All attributes in request body are optional.

Request

Responses

The original request.

OpenAPI definition (YAML)
paths:
  /exporters/{name}:
    put:
      tags:
      - Exporters (v1)
      description: Updates the information or configurations of the schema exporter. All attributes in
        request body are optional.
      operationId: updateExporterInfo
      parameters:
      - name: name
        in: path
        description: Name of the exporter
        required: true
        schema:
          type: string
      requestBody:
        description: Exporter Update Request
        content:
          application/vnd.schemaregistry.v1+json:
            schema:
              type: object
              properties:
                contextType:
                  description: Context type of the exporter. One of CUSTOM, NONE or AUTO (default)
                  type: string
                  example: CUSTOM
                  enum:
                  - CUSTOM
                  - AUTO
                  - NONE
                context:
                  type: string
                  description: Customized context of the exporter if contextType equals CUSTOM.
                  example: User
                subjects:
                  type: array
                  description: Name of each exporter subject
                  items:
                    type: string
                kekRenameFormat:
                  type: string
                  description: 'Format string for the KEK name in the destination cluster, which may

                    contain ${kek} as a placeholder for the originating KEK name. For

                    example, dc_${kek} for the KEK aws_key will map to the destination

                    KEK name dc_aws_key.'
                subjectRenameFormat:
                  type: string
                  description: 'Format string for the subject name in the destination cluster, which

                    may contain ${subject} as a placeholder for the originating subject

                    name. For example, dc_${subject} for the subject orders will map to

                    the destination subject name dc_orders.'
                config:
                  type: object
                  description: The map containing exporter's configurations
                  additionalProperties:
                    type: string
              description: Exporter update request
              title: ExporterUpdateRequest
          application/vnd.schemaregistry+json:
            schema:
              type: object
              properties:
                contextType:
                  description: Context type of the exporter. One of CUSTOM, NONE or AUTO (default)
                  type: string
                  example: CUSTOM
                  enum:
                  - CUSTOM
                  - AUTO
                  - NONE
                context:
                  type: string
                  description: Customized context of the exporter if contextType equals CUSTOM.
                  example: User
                subjects:
                  type: array
                  description: Name of each exporter subject
                  items:
                    type: string
                kekRenameFormat:
                  type: string
                  description: 'Format string for the KEK name in the destination cluster, which may

                    contain ${kek} as a placeholder for the originating KEK name. For

                    example, dc_${kek} for the KEK aws_key will map to the destination

                    KEK name dc_aws_key.'
                subjectRenameFormat:
                  type: string
                  description: 'Format string for the subject name in the destination cluster, which

                    may contain ${subject} as a placeholder for the originating subject

                    name. For example, dc_${subject} for the subject orders will map to

                    the destination subject name dc_orders.'
                config:
                  type: object
                  description: The map containing exporter's configurations
                  additionalProperties:
                    type: string
              description: Exporter update request
              title: ExporterUpdateRequest
          application/json:
            schema:
              type: object
              properties:
                contextType:
                  description: Context type of the exporter. One of CUSTOM, NONE or AUTO (default)
                  type: string
                  example: CUSTOM
                  enum:
                  - CUSTOM
                  - AUTO
                  - NONE
                context:
                  type: string
                  description: Customized context of the exporter if contextType equals CUSTOM.
                  example: User
                subjects:
                  type: array
                  description: Name of each exporter subject
                  items:
                    type: string
                kekRenameFormat:
                  type: string
                  description: 'Format string for the KEK name in the destination cluster, which may

                    contain ${kek} as a placeholder for the originating KEK name. For

                    example, dc_${kek} for the KEK aws_key will map to the destination

                    KEK name dc_aws_key.'
                subjectRenameFormat:
                  type: string
                  description: 'Format string for the subject name in the destination cluster, which

                    may contain ${subject} as a placeholder for the originating subject

                    name. For example, dc_${subject} for the subject orders will map to

                    the destination subject name dc_orders.'
                config:
                  type: object
                  description: The map containing exporter's configurations
                  additionalProperties:
                    type: string
              description: Exporter update request
              title: ExporterUpdateRequest
        required: true
      responses:
        '200':
          description: The original request.
          content:
            application/vnd.schemaregistry.v1+json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                    description: Name of the exporter
                    example: test-exporter
                description: Exporter register response
                title: ExporterResponse
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error_code:
                    type: integer
                    description: The error code
                    format: int32
                  message:
                    type: string
                    description: The error message
                description: Error message of this operation
                title: ErrorMessage
              example:
                error_code: 400
                message: Bad Request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error_code:
                    type: integer
                    description: The error code
                    format: int32
                  message:
                    type: string
                    description: The error message
                description: Error message of this operation
                title: ErrorMessage
              example:
                error_code: 401
                message: Unauthorized
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error_code:
                    type: integer
                    description: The error code
                    format: int32
                  message:
                    type: string
                    description: The error message
                description: Error message of this operation
                title: ErrorMessage
              example:
                error_code: 403
                message: Forbidden
        '404':
          description: Not Found. Error code 40401 indicates subject not found.
          content:
            application/vnd.schemaregistry.v1+json:
              schema:
                type: object
                properties:
                  error_code:
                    type: integer
                    description: The error code
                    format: int32
                  message:
                    type: string
                    description: The error message
                description: Error message of this operation
                title: ErrorMessage
        '409':
          description: Invalid. Error code 40952 – Invalid exporter subjects. Error code 40963 – Exporter
            not paused.
          content:
            application/vnd.schemaregistry.v1+json:
              schema:
                type: object
                properties:
                  error_code:
                    type: integer
                    description: The error code
                    format: int32
                  message:
                    type: string
                    description: The error message
                description: Error message of this operation
                title: ErrorMessage
        '429':
          description: Rate Limit Exceeded
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
            X-RateLimit-Limit:
              schema:
                type: integer
              description: The maximum number of requests you're permitted to make per time period.
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: The number of requests remaining in the current rate limit window.
            X-RateLimit-Reset:
              schema:
                type: integer
              description: "The relative time in seconds until the current rate-limit window resets. \
                \ \n  \n**Important:** This differs from Github and Twitter's same-named header which\
                \ uses UTC epoch seconds. We use relative time to avoid client/server time synchronization\
                \ issues."
            Retry-After:
              schema:
                type: integer
              description: The number of seconds to wait until the rate limit window resets. Only sent
                when the rate limit is reached.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error_code:
                    type: integer
                    description: The error code
                    format: int32
                  message:
                    type: string
                    description: The error message
                description: Error message of this operation
                title: ErrorMessage
              example:
                error_code: 500
                message: Oops, something went wrong
      security:
      - resource-api-key: []
      - external-access-token: []
      servers:
      - url: https://psrc-00000.region.provider.confluent.cloud
        description: Confluent Cloud Schema Registry Endpoint.
      jsonRequestBodyExample:
        contextType: CUSTOM
        context: User
        subjects:
        - string
        kekRenameFormat: string
        subjectRenameFormat: string
        config: {}